Skip to Content
Short Links & Analytics

Get short link metadata

View Markdown (.md)
GET
/api/v1/public/shortlinks/{id}

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Path Parameters

id*string
Formatuuid

Response Body

Short link metadata and target URL

application/json
  1. response
status?string
data?
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/shortlinks/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "status": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "shortUrl": "string",    "originalUrl": "string",    "title": "string",    "active": true,    "clickCount": 0,    "createdAt": "2019-08-24T14:15:22Z"  }}